// Garden Gnome Software - Skin
// Pano2VR pro 4.1.0/3404
// Filename: skin.ggsk
// Generated Fri Apr 19 20:19:47 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._floor_plan_background=document.createElement('div');
		this._floor_plan_background.ggId='floor plan background';
		this._floor_plan_background.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_background.ggVisible=true;
		this._floor_plan_background.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  9px;';
		hs+='width: 218px;';
		hs+='height: 248px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ff0000;';
		hs+='background: rgba(255,0,0,0.588235);';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 20px;';
		hs+=cssPrefix + 'border-radius: 20px;';
		this._floor_plan_background.setAttribute('style',hs);
		this._mask=document.createElement('div');
		this._mask.ggId='mask';
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		this._mask.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  8px;';
		hs+='width: 200px;';
		hs+='height: 200px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._slider=document.createElement('div');
		this._slider.ggId='slider';
		this._slider.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._slider.ggVisible=true;
		this._slider.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -200px;';
		hs+='width: 200px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._slider.setAttribute('style',hs);
		this._floor_plan_one=document.createElement('div');
		this._floor_plan_one.ggId='floor plan one';
		this._floor_plan_one.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_one.ggVisible=true;
		this._floor_plan_one.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  199px;';
		hs+='width: 198px;';
		hs+='height: 198px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #000000;';
		this._floor_plan_one.setAttribute('style',hs);
		this._slider.appendChild(this._floor_plan_one);
		this._floor_plan_two=document.createElement('div');
		this._floor_plan_two.ggId='floor plan two';
		this._floor_plan_two.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_two.ggVisible=true;
		this._floor_plan_two.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 198px;';
		hs+='height: 198px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #000000;';
		this._floor_plan_two.setAttribute('style',hs);
		this._slider.appendChild(this._floor_plan_two);
		this._marker_1=document.createElement('div');
		this._marker_1.ggId='Marker 1';
		this._marker_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_1.ggVisible=true;
		this._marker_1.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 127px;';
		hs+='top:  351px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_1.setAttribute('style',hs);
		this._marker_1.ggMarkerNodeId='pano01';
		nodeMarker.push(this._marker_1);
		this._marker_1.onclick=function () {
			me.player.openNext("pano_01_out.swf","");
		}
		this._marker_1.ggActivate=function () {
			me._radar.style[domTransition]='none';
			me._radar.ggParameter.rx=127;me._radar.ggParameter.ry=351;
			me._radar.style[domTransform]=parameterToTransform(me._radar.ggParameter);
		}
		this._slider.appendChild(this._marker_1);
		this._marker_2=document.createElement('div');
		this._marker_2.ggId='Marker 2';
		this._marker_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_2.ggVisible=true;
		this._marker_2.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 56px;';
		hs+='top:  240px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_2.setAttribute('style',hs);
		this._marker_2.ggMarkerNodeId='pano02';
		nodeMarker.push(this._marker_2);
		this._marker_2.onclick=function () {
			me.player.openNext("pano_02_out.swf","");
		}
		this._marker_2.ggActivate=function () {
			me._radar.style[domTransition]='none';
			me._radar.ggParameter.rx=56;me._radar.ggParameter.ry=240;
			me._radar.style[domTransform]=parameterToTransform(me._radar.ggParameter);
		}
		this._slider.appendChild(this._marker_2);
		this._marker_3=document.createElement('div');
		this._marker_3.ggId='Marker 3';
		this._marker_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_3.ggVisible=true;
		this._marker_3.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 124px;';
		hs+='top:  160px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_3.setAttribute('style',hs);
		this._marker_3.ggMarkerNodeId='pano03';
		nodeMarker.push(this._marker_3);
		this._marker_3.onclick=function () {
			me.player.openNext("pano_03_out.swf","");
		}
		this._marker_3.ggActivate=function () {
			me._radar.style[domTransition]='none';
			me._radar.ggParameter.rx=124;me._radar.ggParameter.ry=160;
			me._radar.style[domTransform]=parameterToTransform(me._radar.ggParameter);
		}
		this._slider.appendChild(this._marker_3);
		this._marker_4=document.createElement('div');
		this._marker_4.ggId='Marker 4';
		this._marker_4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_4.ggVisible=true;
		this._marker_4.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 44px;';
		hs+='top:  83px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_4.setAttribute('style',hs);
		this._marker_4.ggMarkerNodeId='pano04';
		nodeMarker.push(this._marker_4);
		this._marker_4.onclick=function () {
			me.player.openNext("pano_04_out.swf","");
		}
		this._marker_4.ggActivate=function () {
			me._radar.style[domTransition]='none';
			me._radar.ggParameter.rx=44;me._radar.ggParameter.ry=83;
			me._radar.style[domTransform]=parameterToTransform(me._radar.ggParameter);
		}
		this._slider.appendChild(this._marker_4);
		this._marker_5=document.createElement('div');
		this._marker_5.ggId='Marker 5';
		this._marker_5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_5.ggVisible=true;
		this._marker_5.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 125px;';
		hs+='top:  34px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_5.setAttribute('style',hs);
		this._marker_5.ggMarkerNodeId='pano05';
		nodeMarker.push(this._marker_5);
		this._marker_5.onclick=function () {
			me.player.openNext("pano_05_out.swf","");
		}
		this._marker_5.ggActivate=function () {
			me._radar.style[domTransition]='none';
			me._radar.ggParameter.rx=125;me._radar.ggParameter.ry=34;
			me._radar.style[domTransform]=parameterToTransform(me._radar.ggParameter);
		}
		this._slider.appendChild(this._marker_5);
		this._radar=document.createElement('div');
		this._radar.ggId='radar';
		this._radar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._radar.ggVisible=true;
		this._radar.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 20px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._radar.setAttribute('style',hs);
		this._beam=document.createElement('div');
		this._beam.ggId='beam';
		this._beam.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._beam.ggVisible=true;
		this._beam.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 7px;';
		hs+='top:  -5px;';
		hs+='width: 6px;';
		hs+='height: 7px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ff0000;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._beam.setAttribute('style',hs);
		this._radar.appendChild(this._beam);
		this._beam_outer=document.createElement('div');
		this._beam_outer.ggId='beam outer';
		this._beam_outer.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._beam_outer.ggVisible=true;
		this._beam_outer.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -6px;';
		hs+='top:  -6px;';
		hs+='width: 28px;';
		hs+='height: 28px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._beam_outer.setAttribute('style',hs);
		this._radar.appendChild(this._beam_outer);
		this._slider.appendChild(this._radar);
		this._mask.appendChild(this._slider);
		this._floor_plan_background.appendChild(this._mask);
		this._floor_plan_one_select=document.createElement('div');
		this._floor_plan_one_select.ggId='floor plan one select';
		this._floor_plan_one_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_one_select.ggVisible=true;
		this._floor_plan_one_select.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 33px;';
		hs+='top:  215px;';
		hs+='width: 49px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._floor_plan_one_select.setAttribute('style',hs);
		this._floor_plan_one_select.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx=0;me._slider.ggParameter.ry=0;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._floor_1=document.createElement('div');
		this._floor_1.ggId='floor 1';
		this._floor_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_1.ggVisible=true;
		this._floor_1.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -5px;';
		hs+='top:  2px;';
		hs+='width: 59px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floor_1.setAttribute('style',hs);
		this._floor_1.innerHTML="One";
		this._floor_plan_one_select.appendChild(this._floor_1);
		this._floor_plan_background.appendChild(this._floor_plan_one_select);
		this._floor_plan_two_select=document.createElement('div');
		this._floor_plan_two_select.ggId='floor plan two select';
		this._floor_plan_two_select.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_plan_two_select.ggVisible=true;
		this._floor_plan_two_select.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 130px;';
		hs+='top:  215px;';
		hs+='width: 49px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #ff0000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._floor_plan_two_select.setAttribute('style',hs);
		this._floor_plan_two_select.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx=0;me._slider.ggParameter.ry=200;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._floor_2=document.createElement('div');
		this._floor_2.ggId='floor 2';
		this._floor_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floor_2.ggVisible=true;
		this._floor_2.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -5px;';
		hs+='top:  2px;';
		hs+='width: 59px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._floor_2.setAttribute('style',hs);
		this._floor_2.innerHTML="Two";
		this._floor_plan_two_select.appendChild(this._floor_2);
		this._floor_plan_background.appendChild(this._floor_plan_two_select);
		this.divSkin.appendChild(this._floor_plan_background);
		this._hide_elements=document.createElement('div');
		this._hide_elements.ggId='hide elements';
		this._hide_elements.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_elements.ggVisible=false;
		this._hide_elements.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 494px;';
		hs+='top:  8px;';
		hs+='width: 108px;';
		hs+='height: 35px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._hide_elements.setAttribute('style',hs);
		this._normal=document.createElement('div');
		this._normal.ggId='normal';
		this._normal.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._normal.ggVisible=true;
		this._normal.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 46px;';
		hs+='top:  5px;';
		hs+='width: 20px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #00ff00;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._normal.setAttribute('style',hs);
		this._hide_elements.appendChild(this._normal);
		this._active=document.createElement('div');
		this._active.ggId='active';
		this._active.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._active.ggVisible=true;
		this._active.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 69px;';
		hs+='top:  5px;';
		hs+='width: 20px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ff0000;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._active.setAttribute('style',hs);
		this._hide_elements.appendChild(this._active);
		this._floot_plan_trigger_slide=document.createElement('div');
		this._floot_plan_trigger_slide.ggId='floot plan trigger slide';
		this._floot_plan_trigger_slide.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._floot_plan_trigger_slide.ggVisible=true;
		this._floot_plan_trigger_slide.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 22px;';
		hs+='top:  6px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._floot_plan_trigger_slide.setAttribute('style',hs);
		this._floot_plan_trigger_slide.ggMarkerNodeId='fp1';
		nodeMarker.push(this._floot_plan_trigger_slide);
		this._floot_plan_trigger_slide.onclick=function () {
			me.player.openNext('fp1');
		}
		this._floot_plan_trigger_slide.ggActivate=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx=0;me._slider.ggParameter.ry=0;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._floot_plan_trigger_slide.ggDeactivate=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx=0;me._slider.ggParameter.ry=200;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._hide_elements.appendChild(this._floot_plan_trigger_slide);
		this.divSkin.appendChild(this._hide_elements);
		this._button_toggle_floor_plan=document.createElement('div');
		this._button_toggle_floor_plan.ggId='button toggle floor plan';
		this._button_toggle_floor_plan.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_toggle_floor_plan.ggVisible=true;
		this._button_toggle_floor_plan.className='ggskin ggskin_rectangle';
		this._button_toggle_floor_plan.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-88 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-33 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -88px;';
		hs+='top:  -33px;';
		hs+='width: 74px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 4px solid #ff0000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._button_toggle_floor_plan.setAttribute('style',hs);
		this._button_toggle_floor_plan.onclick=function () {
			flag=me._floor_plan_background.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._floor_plan_background.style[domTransition]='none';
			} else {
				me._floor_plan_background.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._floor_plan_background.ggParameter.rx=0;me._floor_plan_background.ggParameter.ry=0;
				me._floor_plan_background.style[domTransform]=parameterToTransform(me._floor_plan_background.ggParameter);
			} else {
				me._floor_plan_background.ggParameter.rx=-232;me._floor_plan_background.ggParameter.ry=0;
				me._floor_plan_background.style[domTransform]=parameterToTransform(me._floor_plan_background.ggParameter);
			}
			me._floor_plan_background.ggPositonActive=!flag;
		}
		this._button_text=document.createElement('div');
		this._button_text.ggId='button text';
		this._button_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_text.ggVisible=true;
		this._button_text.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  2px;';
		hs+='width: 72px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._button_text.setAttribute('style',hs);
		this._button_text.innerHTML="Floor Plan";
		this._button_toggle_floor_plan.appendChild(this._button_text);
		this.divSkin.appendChild(this._button_toggle_floor_plan);
		this._information=document.createElement('div');
		this._information.ggId='Information';
		this._information.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._information.ggVisible=true;
		this._information.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 275px;';
		hs+='top:  10px;';
		hs+='width: 333px;';
		hs+='height: 218px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		hs+='overflow-y: auto;';
		this._information.setAttribute('style',hs);
		this._information.innerHTML="Multi Floor Plan Skin\n************************\n\nKey points:\nEach panorama has a tag to identify itself, pano01, pano02 etc found in the user data.\nThe panoramas on the first floor plan have the tags fp1 (Floor Plan 1)\nA node marker with the ID \"floor plan trigger slide\" has the action to slide the element slider up and down when the tag is detected.";
		this.divSkin.appendChild(this._information);
		this._marker_1__normal=this._normal.cloneNode(true);
		this._marker_1__normal.style.visibility='inherit';
		this._marker_1__normal.style.left=0;
		this._marker_1__normal.style.top=0;
		this._marker_1.ggMarkerNormal=this._marker_1__normal;
		this._marker_1__active=this._active.cloneNode(true);
		this._marker_1__active.style.visibility='hidden';
		this._marker_1__active.style.left=0;
		this._marker_1__active.style.top=0;
		this._marker_1.ggMarkerActive=this._marker_1__active;
		if (this._marker_1.firstChild) {
			this._marker_1.insertBefore(this._marker_1__active,this._marker_1.firstChild);
		} else {
			this._marker_1.appendChild(this._marker_1__active);
		}
		if (this._marker_1.firstChild) {
			this._marker_1.insertBefore(this._marker_1__normal,this._marker_1.firstChild);
		} else {
			this._marker_1.appendChild(this._marker_1__normal);
		}
		this._marker_2__normal=this._normal.cloneNode(true);
		this._marker_2__normal.style.visibility='inherit';
		this._marker_2__normal.style.left=0;
		this._marker_2__normal.style.top=0;
		this._marker_2.ggMarkerNormal=this._marker_2__normal;
		this._marker_2__active=this._active.cloneNode(true);
		this._marker_2__active.style.visibility='hidden';
		this._marker_2__active.style.left=0;
		this._marker_2__active.style.top=0;
		this._marker_2.ggMarkerActive=this._marker_2__active;
		if (this._marker_2.firstChild) {
			this._marker_2.insertBefore(this._marker_2__active,this._marker_2.firstChild);
		} else {
			this._marker_2.appendChild(this._marker_2__active);
		}
		if (this._marker_2.firstChild) {
			this._marker_2.insertBefore(this._marker_2__normal,this._marker_2.firstChild);
		} else {
			this._marker_2.appendChild(this._marker_2__normal);
		}
		this._marker_3__normal=this._normal.cloneNode(true);
		this._marker_3__normal.style.visibility='inherit';
		this._marker_3__normal.style.left=0;
		this._marker_3__normal.style.top=0;
		this._marker_3.ggMarkerNormal=this._marker_3__normal;
		this._marker_3__active=this._active.cloneNode(true);
		this._marker_3__active.style.visibility='hidden';
		this._marker_3__active.style.left=0;
		this._marker_3__active.style.top=0;
		this._marker_3.ggMarkerActive=this._marker_3__active;
		if (this._marker_3.firstChild) {
			this._marker_3.insertBefore(this._marker_3__active,this._marker_3.firstChild);
		} else {
			this._marker_3.appendChild(this._marker_3__active);
		}
		if (this._marker_3.firstChild) {
			this._marker_3.insertBefore(this._marker_3__normal,this._marker_3.firstChild);
		} else {
			this._marker_3.appendChild(this._marker_3__normal);
		}
		this._marker_4__normal=this._normal.cloneNode(true);
		this._marker_4__normal.style.visibility='inherit';
		this._marker_4__normal.style.left=0;
		this._marker_4__normal.style.top=0;
		this._marker_4.ggMarkerNormal=this._marker_4__normal;
		this._marker_4__active=this._active.cloneNode(true);
		this._marker_4__active.style.visibility='hidden';
		this._marker_4__active.style.left=0;
		this._marker_4__active.style.top=0;
		this._marker_4.ggMarkerActive=this._marker_4__active;
		if (this._marker_4.firstChild) {
			this._marker_4.insertBefore(this._marker_4__active,this._marker_4.firstChild);
		} else {
			this._marker_4.appendChild(this._marker_4__active);
		}
		if (this._marker_4.firstChild) {
			this._marker_4.insertBefore(this._marker_4__normal,this._marker_4.firstChild);
		} else {
			this._marker_4.appendChild(this._marker_4__normal);
		}
		this._marker_5__normal=this._normal.cloneNode(true);
		this._marker_5__normal.style.visibility='inherit';
		this._marker_5__normal.style.left=0;
		this._marker_5__normal.style.top=0;
		this._marker_5.ggMarkerNormal=this._marker_5__normal;
		this._marker_5__active=this._active.cloneNode(true);
		this._marker_5__active.style.visibility='hidden';
		this._marker_5__active.style.left=0;
		this._marker_5__active.style.top=0;
		this._marker_5.ggMarkerActive=this._marker_5__active;
		if (this._marker_5.firstChild) {
			this._marker_5.insertBefore(this._marker_5__active,this._marker_5.firstChild);
		} else {
			this._marker_5.appendChild(this._marker_5__active);
		}
		if (this._marker_5.firstChild) {
			this._marker_5.insertBefore(this._marker_5__normal,this._marker_5.firstChild);
		} else {
			this._marker_5.appendChild(this._marker_5__normal);
		}
		this._floot_plan_trigger_slide.ggMarkerNormal=null;
		this._floot_plan_trigger_slide.ggMarkerActive=null;
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		var hs='';
		if (me._radar.ggParameter) {
			hs+=parameterToTransform(me._radar.ggParameter) + ' ';
		}
		hs+='rotate(' + (-1.0*(1 * me.player.getPanNorth() + 0)) + 'deg) ';
		me._radar.style[domTransform]=hs;
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId='hs';
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			hs ='position:absolute;';
			hs+='left: 595px;';
			hs+='top:  53px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openNext(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.style.visibility='inherit';
				me._tooltip.ggVisible=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.style.visibility='hidden';
				me._tooltip.ggVisible=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hs_image=document.createElement('div');
			this._hs_image.ggId='hs image';
			this._hs_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image.ggVisible=true;
			this._hs_image.className='ggskin ggskin_rectangle';
			hs ='position:absolute;';
			hs+='left: -11px;';
			hs+='top:  -11px;';
			hs+='width: 19px;';
			hs+='height: 19px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			hs+='background: #00ff00;';
			hs+='border: 2px solid #ff0000;';
			hs+='border-radius: 999px;';
			hs+=cssPrefix + 'border-radius: 999px;';
			this._hs_image.setAttribute('style',hs);
			this.__div.appendChild(this._hs_image);
			this._tooltip=document.createElement('div');
			this._tooltip.ggId='tooltip';
			this._tooltip.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._tooltip.ggVisible=false;
			this._tooltip.className='ggskin ggskin_text';
			hs ='position:absolute;';
			hs+='left: -41px;';
			hs+='top:  -40px;';
			hs+='width: 74px;';
			hs+='height: 14px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: hidden;';
			hs+='background: #ffffff;';
			hs+='border: 2px solid #000000;';
			hs+='border-radius: 10px;';
			hs+=cssPrefix + 'border-radius: 10px;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 2px 3px 2px 3px;';
			hs+='overflow: hidden;';
			this._tooltip.setAttribute('style',hs);
			this._tooltip.innerHTML=me.hotspot.title;
			this.__div.appendChild(this._tooltip);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};